package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.OrderCall;

/**
 * 订单通话记录Service接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface IOrderCallService 
{
    /**
     * 查询订单通话记录
     * 
     * @param id 订单通话记录主键
     * @return 订单通话记录
     */
    public OrderCall selectOrderCallById(Integer id);




    public int selectCountOrderCallByOid(Long oid);
    /**
     * 查询订单通话记录列表
     * 
     * @param orderCall 订单通话记录
     * @return 订单通话记录集合
     */
    public List<OrderCall> selectOrderCallList(OrderCall orderCall);



    public List<OrderCall> selectOrderCallByOid(Long oid);
    /**
     * 新增订单通话记录
     * 
     * @param orderCall 订单通话记录
     * @return 结果
     */
    public int insertOrderCall(OrderCall orderCall);

    /**
     * 修改订单通话记录
     * 
     * @param orderCall 订单通话记录
     * @return 结果
     */
    public int updateOrderCall(OrderCall orderCall);

    /**
     * 批量删除订单通话记录
     * 
     * @param ids 需要删除的订单通话记录主键集合
     * @return 结果
     */
    public int deleteOrderCallByIds(Integer[] ids);

    /**
     * 删除订单通话记录信息
     * 
     * @param id 订单通话记录主键
     * @return 结果
     */
    public int deleteOrderCallById(Integer id);
}
